#
# spec file for package python-fcgi
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-fcgi
BuildRequires:  python
Version:        2000.09.21
Release:        369.2
Summary:        Python FastCGI Module
License:        SUSE-Permissive
Group:          Development/Libraries/Python
Url:            http://alldunn.com/python/
Source0:        http://alldunn.com/python/fcgi.py
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
The fcgi.py Python module handles communication with the FastCGI module
from the Apache or Stronghold web server without using the FastCGI
developers kit. It will also work in a non-FastCGI environment,
(straight CGI).



Authors:
--------
    Robin Dunn <robin@alldunn.com>
    and others

%prep

%build

%install
install -m755 -d                            $RPM_BUILD_ROOT/%{py_sitedir}
install -m644 %{S:0}                        $RPM_BUILD_ROOT/%{py_sitedir}
python     /usr/%_lib/python/compileall.py -d %{py_site}/ $RPM_BUILD_ROOT/%{py_sitedir}

%files
%defattr(-,root,root)
%{py_sitedir}/fcgi.py*

%changelog
* Tue Oct 14 2014 jengelh@inai.de
- Remove old specfile tags/sections
* Fri Jun 15 2012 cfarrell@suse.com
- license update: SUSE-Permissive
  SPDX format (or at least a license shortname from the list linked at
  license.opensuse.org)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Wed Nov 24 2004 mcihar@suse.cz
- use rather rpm macros than our own
* Thu Sep  4 2003 mcihar@suse.cz
- require same python version as it was built with
- added clean
* Wed Sep  3 2003 mt@suse.de
- initial checkin. since no version provided,
  we use the modification date of the file.
